package objetosAuxilidares;

import util.Point;
import util.Vetor;



public abstract class Elemento {
	
	protected Material m;
	
	
	public Elemento(Material m){
		this.m = m;
	}
	
	public Material getM() {
		return m;
	}

	public void setM(Material m) {
		this.m = m;
	}
	
	public abstract Point getIntersec(final Ray ray);	
	public abstract Vetor calcularNormal(final Point p, Ray ray);
	
	public abstract boolean isQuadric();
	public abstract boolean isGeometric();	

}