package util;

//estrutura de um ponto (3d)
public class Point {
	
	private double x;	
	private double y;	
	private double z;	
	
	
	public Point(double x, double y, double z){
		this.x = x;
		this.y = y;
		this.z = z;
	}
	
	public Point(final Point p){
		this.x = p.x;
		this.y = p.y;
		this.z = p.z;
	}

	
	public double getX(){
		return this.x;
	}
	public void setX(double x){
		this.x = x;
	}
	public double getY(){
		return this.y;
	}
	public void setY(double y){
		this.y = y;
	}
	public double getZ(){
		return this.z;
	}
	public void setZ(double z){
		this.z = z;
	}
	
	public void add(final Vetor v){
		this.x += v.getX();
		this.y += v.getY();
		this.z += v.getZ();
	}
	
	public Point getAddition(final Vetor v){
		Point result = new Point(this);
		result.add(v);
		return result;
	}
	
	// metodo auxiliar para escrita do arquivo
	public String toString() {
		return "(" + this.x + "," + this.y + "," + this.z + ")";
	}	
}