package objetosAuxilidares;

import util.Face;
import util.Point;
import util.Tolerancia;


public class Ray {
	
	private Point orig;		
	private Point dir;		//Ponto representante da direcao
		
	
	public Ray(Point orig, Point dir) {
		this.orig = orig;
		this.dir = dir;
	}
	
	
	public Ray(final Ray r){
		this.orig = new Point(r.getOrig());
		this.dir = new Point(r.getDir());
	}

	public Point getOrig() {
		return this.orig;
	}
	public void setOrig(Point arg0) {
		this.orig = arg0;
	}
	public Point getDir() {
		return this.dir;
	}
	public void setDir(Point arg0) {
		this.dir = arg0;
	}
	
	public Point getIntersectionPoint(final Face face, final float tolerance){
		return face.getInterseccao(this);
	}
	
	public boolean isZero(final double tolerance){
		return Tolerancia.equals(orig.getX() - dir.getX(),0,tolerance) && Tolerancia.equals(orig.getY() - dir.getY(),0,tolerance) && Tolerancia.equals(orig.getZ() - dir.getZ(),0,tolerance) ;
	}
	
	
}