package util;


public class Color {
	
	private double r;		
	private double g;		
	private double b;		
	
	
	public Color(double r, double g, double b){
		this.r = r;
		this.g = g;
		this.b = b;
	}
	
	public Color(final Color c){
		this.r = c.r;
		this.g = c.g;
		this.b = c.b;
	}
	
	
	public double getR(){
		return this.r;
	}
	public void setR(double r){
		this.r = r;
	}
	public double getG(){
		return this.g;
	}
	public void setG(double g){
		this.g = g;
	}
	public double getB(){
		return this.b;
	}
	public void setB(double b){
		this.b = b;
	}
	
	
	public void somar(Color c){
		this.r += c.r;
		this.g += c.g;
		this.b += c.b;
	}
	
	public void somar(final double k){
		this.r += k;
		this.g += k;
		this.b += k;
	}
	
	public void multiplicar(Color c){
		this.r *= c.r;
		this.g *= c.g;
		this.b *= c.b;
	}
	
	public void multiplicar(final double k){
		this.r *= k;
		this.g *= k;
		this.b *= k;
	}
	
	public void dividir(Color c){
		this.r /= c.r;
		this.g /= c.g;
		this.b /= c.b;
	}
	
	public void dividir(final double k){
		this.r /= k;
		this.g /= k;
		this.b /= k;
	}
	
	
	public Color getSoma(final Color c){
		Color result = new Color(this);
		result.somar(c);
		return result;	
	}
	

	
	
	// metodo auxiliar para escrita do arquivo
	public String toString(double arg0) {

		double R = this.r;
		R = R * arg0;
		double G = this.g;
		G = G * arg0;
		double B = this.b;
		B = B * arg0;
		return (int) R + " " + (int) G + " " + (int) B;
	}
	public void ceil(final double ceil){
		if(r > ceil)
			r = ceil;
		if(g > ceil)
			g = ceil;
		if(b > ceil)
			b = ceil;
	}
	
	public Color getSoma(final double k){
		Color result = new Color(this);
		result.somar(k);
		return result;	
	}
	
	public Color getMultip(final Color c){
		Color result = new Color(this);
		result.multiplicar(c);
		return result;	
	}
	
	public Color getMultip(final double k){
		Color result = new Color(this);
		result.multiplicar(k);
		return result;	
	}
	
	public Color getDivisao(final Color c){
		Color result = new Color(this);
		result.dividir(c);
		return result;	
	}
	
	
	public void fit(){
		final double ceil = 1;
		if(r > ceil)
			r = ceil;
		if(g > ceil)
			g = ceil;
		if(b > ceil)
			b = ceil;
		
		if(r < 0)
			r = 0;
		if(g < 0)
			g = 0;
		if(b < 0)
			b = 0;		
	}
}