package util;


public class Screen {
	
	
	private Coord2d zero;		//Limite inferior esquerda da tela
	private Coord2d one;		//Limite superior direita da tela
	private Color[][] screen;	//Buffer de cores
		
	
	public Screen() {
		this.screen = null;
		this.zero = null;
		this.one = null;
	}

	public int getWidth() {
		return this.screen[0].length;
	}
	
	public int getHeight() {
		return this.screen.length;
	}
	
	public Color getColorAt(int i, int j) {
		return this.screen[i][j];
	}
	public void setColorAt(Color color, int i, int j) {
		this.screen[i][j] = color;		
	}
	
	public Coord2d getZero() {
		return this.zero;
	}
	public void setZero(Coord2d zero) {
		this.zero = zero;		
	}
	
	public Coord2d getOne() {
		return this.one;
	}
	public void setOne(Coord2d one) {
		this.one = one;		
	}
	
	// obs.: so pode ser chamada depois de definidos os limites
	//       da tela.
	public void initArray(final int width, final int height) {
		this.screen = new Color[height][width];
	}	
}