package rayCifePlus;

import sceneDefinitions.Light;

public class LightInterceptedException extends RuntimeException{

	/**
	 * 
	 */
	private static final long serialVersionUID = 3464622193748397093L;
	
	private Light light;
	
	public LightInterceptedException(String message, Light light){
		super(message);
		this.light = light;
	}
	
	public LightInterceptedException(Light light){
		this("Light Intercepted",light);
	}

	public Light getLight() {
		return light;
	}
	
	

}
