/*
 * Created on 05/03/2008
 */
package sceneDefinitions;

import numerics.Point;
import objectDefinitions.ObjectGeometry;
import objectDefinitions.Ray;
/**
 * @author Marlus Barbosa de Souza - mbs2
 * @author Artur Lira dos Santos - als3
 */

//Light structure
public class Light{
	
	private ObjectGeometry geom;	//Geometry of the light
	private Color c;				//Color of the light
	private double Int;				//Light intensity
	
	//Light constructor
	public Light(ObjectGeometry arg0, Color arg1, double arg2) {
		this.geom = arg0;
		this.c = arg1;
		this.Int = arg2;
	}
	
	public Point getIntersection(final Ray ray){
		return geom.getIntersection(ray);
	}
	
	//Getters and Setters
	public ObjectGeometry getGeom(){
		return this.geom;
	}
	public void setGeom(ObjectGeometry arg0){
		this.geom = arg0;
	}
	public Color getColor() {
		return this.c;
	}
	public void setColor(Color arg0) {
		this.c = arg0;
	}
	public double getInt() {
		return this.Int;
	}
	public void setInt(double arg0) {
		this.Int = arg0;
	}
	
}